Bug 63404 - [GTK] Allow to build WebKitGtk+ with accelerated compositing
Summary: [GTK] Allow to build WebKitGtk+ with accelerated compositing
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-26 10:14 PDT by Joone Hur
Modified: 2011-06-28 09:28 PDT (History)
4 users (show)

See Also:


Attachments
Proposed Patch (11.23 KB, patch)
2011-06-26 18:37 PDT, Joone Hur
mrobinson: review-
Details | Formatted Diff | Diff
Proposed Patch2 (10.07 KB, patch)
2011-06-28 01:02 PDT, Joone Hur
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joone Hur 2011-06-26 10:14:47 PDT
WebKitGtk+ needs to implement accelerated compositing for running CSS3 3D transforms and animation through GPU acceleration.
First, we need to build WebKitGtk+ with accelerated composting by default although it wouldn't work.
Comment 1 Joone Hur 2011-06-26 18:37:55 PDT
Created attachment 98652 [details]
Proposed Patch
Comment 2 Martin Robinson 2011-06-27 09:17:50 PDT
Comment on attachment 98652 [details]
Proposed Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=98652&action=review

> Source/JavaScriptCore/wtf/Platform.h:1138
> +#if PLATFORM(MAC) || PLATFORM(IOS) || PLATFORM(QT) || (PLATFORM(WIN) && !OS(WINCE) &&!defined(WIN_CAIRO)) || PLATFORM(EFL) || PLATFORM(GTK)

I don't think we should turn it on by default until it's implemented. The other parts of this change look good.
Comment 3 Joone Hur 2011-06-28 01:02:22 PDT
Created attachment 98877 [details]
Proposed Patch2

I've updated the patch.
Thanks, Martin.
Comment 4 WebKit Review Bot 2011-06-28 09:28:02 PDT
Comment on attachment 98877 [details]
Proposed Patch2

Clearing flags on attachment: 98877

Committed r89937: <http://trac.webkit.org/changeset/89937>
Comment 5 WebKit Review Bot 2011-06-28 09:28:22 PDT
All reviewed patches have been landed.  Closing bug.